@font-face {
    font-family: Inter;
    src: url(/assets/fonts/Inter_18pt-Regular.ttf) format('truetype')
}

:root {
    --primary-color: #1A2D72;
    --text-color: #1D1D1F;
    --secondary-color: #C70039;
    --h-color: #191B1C;
    --static-text: #737982;
    --link-text: #003399;
    --white: #FFFFFF;
    --gray: #F5F6F7;
    --light-blue: #DFF1FA;
    --border-color: #EFF2F5;
    --line-color: #E5E7E8;
    --hover: #DFF1FA;
    --dark-gray: #D9DBE1;
    --dark-gray-text: #474A57;
    --table-thead-th: #969BAB;
    --table-thead-bg: #FAF9F9;
    --assigned-text: #1890FF;
    --assigned-border: #91D5FF;
    --assigned-bg: #E6F7FF
}

.cabinet-body {
    margin: 0;
    font-family: Inter;
    display: flex;
    flex-direction: column;
    min-height: 100vh
}

    .cabinet-body header {
        padding: 20px;
        border-bottom: 1px solid var(--line-color);
        box-shadow: 0 16px 24px -6px #1b242C29
    }

    .cabinet-body footer, .cabinet-body header {
        flex-shrink: 0
    }

    .cabinet-body section {
        flex: 1
    }

    .cabinet-body .header-button {
        width: 48px;
        height: 48px;
        display: flex;
        justify-content: center;
        align-items: center;
        background-color: var(--gray);
        border-radius: 80px;
        transition: .2s
    }

        .cabinet-body .header-button:hover {
            background-color: var(--hover);
            transition: .2s;
            cursor: pointer
        }

.auth-body {
    background-image: url(../assets/auth/background-image.svg);
    background-size: cover;
    background-repeat: no-repeat;
    background-color: var(--gray)
}

.upload-area {
    position: relative;
    border: 2px dashed #ccc;
    border-radius: 6px;
    padding: 40px 20px;
    text-align: center;
    cursor: pointer;
    transition: background-color .3s
}

.upload-icon {
    width: 48px;
    height: 48px;
    margin-bottom: 15px
}

.upload-text {
    color: #666;
    font-size: 1rem
}

.browse-link {
    color: #007bff;
    text-decoration: underline;
    cursor: pointer
}

.file-input {
    position: absolute;
    width: 100%;
    height: 100%;
    opacity: 0;
    top: 0;
    left: 0;
    cursor: pointer
}

.upload-area:hover {
    background-color: #fafafa
}

.fs-h1 {
    font-size: 48px
}

.fs-h2 {
    font-size: 32px
}

.fs-h3 {
    font-size: 24px
}

.fs-h4 {
    font-size: 20px
}

.lh-h1 {
    line-height: 56px
}

.lh-h2 {
    line-height: 40px
}

.lh-h3 {
    line-height: 32px
}

.lh-h4 {
    line-height: 28px
}

.fw-700 {
    font-weight: 700
}

.fw-600 {
    font-weight: 600
}

.fw-500 {
    font-weight: 500
}

.fs-p-1 {
    font-size: 20px
}

.fs-p-2 {
    font-size: 18px
}

.fs-p-3 {
    font-size: 28px
}

.lh-p-1 {
    line-height: 28px
}

.lh-p-2 {
    line-height: 20px
}

.lh-p-3 {
    line-height: 32px
}

.ls-1 {
    letter-spacing: 1px
}

.cabinet-body p {
    margin-bottom: 0 !important
}

.bg-blue {
    background-color: var(--light-blue) !important
}

.bg-gray {
    background-color: var(--gray) !important
}

.primary-text {
    color: var(--primary-color) !important
}

.common-text {
    color: var(--text-color) !important
}

.white-text {
    color: var(--white) !important
}

.static-text {
    color: var(--static-text) !important
}

.danger-text {
    color: var(--secondary-color) !important
}

.hr-color {
    border-color: var(--line-color) !important
}

.h-color {
    color: var(--h-color)
}

.link-text {
    text-decoration: none;
    color: var(--link-text)
}

    .link-text:hover {
        cursor: pointer
    }

.cabinet-body .card {
    border: 1px solid var(--border-color) !important;
    border-radius: 19px !important
}

    .cabinet-body .card .card-body {
        padding: 40px
    }

.payment-card:not(:last-child) {
    border-bottom: 1px solid var(--border-color);
    padding-bottom: 24px
}

.payment-card {
    padding-top: 24px
}

input.form-control {
    height: 56px;
    border-color: var(--line-color);
    border-radius: 8px !important
}

.cabinet-body .btn {
    padding: 16px 30px !important;
    border-radius: 40px !important;
    text-transform: uppercase !important;
    letter-spacing: 1px !important;
    font-weight: 700 !important
}

.cabinet-body .btn-primary {
    background-color: var(--link-text) !important;
    border: 2px solid var(--primary-color) !important
}

    .cabinet-body .btn-primary:hover {
        background-color: transparent !important;
        color: var(--primary-color) !important
    }

.cabinet-body .btn-secondary {
    background-color: var(--secondary-color) !important;
    border: 2px solid var(--secondary-color) !important
}

    .cabinet-body .btn-secondary:hover {
        background-color: transparent !important;
        color: var(--secondary-color) !important
    }

.btn-secondary .icon.hovered {
    display: none
}

.btn-secondary:hover .icon.default {
    display: none
}

.btn-secondary:hover .icon.hovered {
    display: inline-block
}

.cabinet-body .btn-secondary-light {
    text-transform: none !important;
    background-color: var(--white) !important;
    border: 1px solid var(--primary-color) !important;
    color: var(--primary-color)
}

.cabinet-body .btn-secondary-light-gray {
    text-transform: none !important;
    background-color: var(--white) !important;
    border: 1px solid var(--dark-gray) !important;
    color: var(--dark-gray-text) !important
}

    .cabinet-body .btn-secondary-light-gray:hover {
        cursor: auto
    }

.cabinet-body .form-select {
    border-color: var(--line-color);
    border-radius: 8px !important
}

.cabinet-body .custom-calendar {
    padding: 0
}

    .cabinet-body .custom-calendar:first-child {
        margin-bottom: 0
    }

    .cabinet-body .custom-calendar input {
        border-left: none !important;
        border-top-left-radius: 0 !important;
        border-bottom-left-radius: 0 !important;
        box-shadow: none !important
    }

    .cabinet-body .custom-calendar .input-group-addon {
        border: 1px solid var(--line-color);
        background-color: var(--white);
        padding-left: 12px;
        padding-right: 12px;
        border-right: none !important;
        border-top-left-radius: 8px !important;
        border-bottom-left-radius: 8px !important
    }

.cabinet-body .input-group {
    position: relative;
    border: 1px solid transparent;
    border-radius: 8px
}

    .cabinet-body .input-group:focus-within {
        border: 1px solid var(--primary-color);
        border-radius: 8px;
        outline: 0
    }

.cabinet-body footer {
    margin-top: 40px;
    padding-top: 40px;
    padding-bottom: 40px;
    background-color: var(--primary-color)
}

.footer-info {
    display: flex;
    justify-content: end;
    gap: 10px
}

    .footer-info:last-child {
        margin-left: 21px
    }

.hover:hover {
    cursor: pointer
}

.fade {
    background-color: rgba(0,15,57,.4)
}

.modal-content {
    padding: 16px;
    border-radius: 16px !important;
    box-shadow: 0 34px 44px rgba(0,0,0,.25) !important
}

.is-invalid .input-group-addon, .is-valid input {
    border-color: var(--secondary-color) !important
}

.stepper-container {
    text-align: center;
    margin-top: 30px;
    margin-bottom: 30px
}

.stepper {
    display: flex;
    justify-content: center;
    gap: 60px;
    margin-top: 20px
}

.step {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 36px;
    height: 36px;
    border-radius: 50%;
    border: 2px solid var(--line-color);
    font-weight: 700;
    position: relative;
    color: var(--static-text);
    font-size: 16px
}

    .step.completed {
        background-color: var(--link-text);
        color: var(--white);
        border-color: var(--link-text)
    }

        .step.completed::before {
            font-size: 16px;
            color: var(--white)
        }

    .step.active {
        background-color: var(--link-text);
        color: var(--white);
        border: 2px solid var(--link-text)
    }

    .step.upcoming {
        background-color: var(--white);
        color: var(--line-color);
        border-color: var(--line-color)
    }

.stepper-container .completed img {
    width: 16px;
    height: 16px
}

.step + .step::before {
    content: "";
    position: absolute;
    width: 90px;
    height: 2px;
    background-color: var(--link-text);
    top: 50%;
    left: -80px;
    z-index: -1
}

.step.upcoming + .step::before {
    background-color: var(--line-color)
}

.cabinet-body table thead th {
    color: var(--table-thead-th);
    background-color: var(--table-thead-bg);
    font-weight: 700;
    font-size: 12px;
    line-height: 16px;
    text-transform: uppercase
}

.cabinet-body table tbody th {
    color: var(--link-text);
    font-weight: 700
}

.cabinet-body .alert {
    padding: 8px;
    margin-bottom: 0;
    border-radius: 6px;
    border: none
}

.cabinet-body .alert-danger {
    color: #df1d57
}

.cabinet-body .alert-warning {
    color: #f19b38
}

.cabinet-body .alert-info {
    color: #3b82f6
}

.alert-assigned, .alert-authorize-request, .alert-contact-us, .alert-schedule-appointment, .alert-searching-parts {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 8px 24px;
    border-radius: 40px;
    text-align: center
}

    .alert-assigned p, .alert-authorize-request p, .alert-contact-us p, .alert-schedule-appointment p, .alert-searching-parts p {
        font-size: 18px;
        letter-spacing: 1px;
        font-weight: 700;
        text-transform: uppercase
    }

.alert-assigned {
    border: 2px solid var(--assigned-border);
    background-color: var(--assigned-bg)
}

    .alert-assigned p {
        color: var(--assigned-text)
    }

.alert-searching-parts {
    border: 2px solid #ffd591;
    background-color: #fff7e6
}

    .alert-searching-parts p {
        color: #fa8c16
    }

.alert-authorize-request {
    border: 2px solid #acbbf7;
    background-color: #e0e5fc
}

    .alert-authorize-request p {
        color: #2f54eb
    }

.alert-schedule-appointment {
    border: 2px solid #87e8de;
    background-color: #e6fffb
}

    .alert-schedule-appointment p {
        color: #09adad
    }

.alert-contacts-us {
    border: 2px solid #d9d9d9;
    background-color: #f5f5f5
}

    .alert-contacts-us p {
        color: #64748b
    }

.cabinet-body .alert p {
    font-weight: 700;
    margin-left: 6px
}

.cabinet-body .adaptive-cabinet-orders {
    display: none
}

    .cabinet-body .adaptive-cabinet-orders .adaptive-cabinet-orders-card {
        padding: 12px;
        border: 1px solid var(--line-color);
        border-radius: 12px
    }

        .cabinet-body .adaptive-cabinet-orders .adaptive-cabinet-orders-card h2 {
            font-weight: 700;
            color: #0050e3
        }

@media (max-width:1199px) {
    .fs-p-3 {
        font-size: 20px
    }

    .lh-p-3 {
        line-height: 28px
    }

    .footer-info:last-child {
        margin-left: 5px
    }

    .custom-calendar .input-group-addon {
        padding-right: 0 !important
    }
}

@media (max-width:1200px) {
    .cabinet-body header .img-fluid {
        height: 90px
    }

    .alert-assigned p, .alert-authorize-request p, .alert-contact-us p, .alert-schedule-appointment p, .alert-searching-parts p {
        font-size: 16px
    }

    .cabinet-body .table {
        display: none
    }

    .cabinet-body .adaptive-cabinet-orders {
        display: block
    }

    .cabinet-body .card-body {
        padding: 24px !important
    }

    .fs-p-1 {
        font-size: 16px
    }

    .lh-p-1 {
        line-height: 24px
    }

    .fs-h4 {
        font-size: 14px
    }

    .lh-h4 {
        line-height: 20px
    }

    .fs-h2 {
        font-size: 24px
    }

    .lh-h2 {
        line-height: 32px
    }

    .fs-h1 {
        font-size: 40px
    }

    .lh-h1 {
        line-height: 48px
    }

    .fs-p-2 {
        font-size: 16px
    }

    .lh-p-2 {
        line-height: 20px
    }
}

@media (max-width:800px) {
    .cabinet-body .container {
        max-width: 100% !important
    }

    .cabinet-body header {
        padding: 16px 0 16px 0
    }
}

@media (min-width:769px) {
    .parts-container {
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        gap: 20px
    }

    .parts-select {
        width: 300px
    }

    .btn-add-part {
        width: auto;
        white-space: nowrap
    }

    .parts-container-inner {
        display: flex;
        align-items: center;
        justify-content: center !important;
        gap: 10px
    }
}

@media (max-width:768px) {
    .cabinet-body .header-button {
        height: 40px;
        width: 40px
    }

    .alert-assigned p, .alert-authorize-request p, .alert-contact-us p, .alert-schedule-appointment p, .alert-searching-parts p {
        font-size: 14px
    }

    .footer-info {
        justify-content: center !important
    }

    .parts-container {
        flex-direction: column;
        align-items: flex-start
    }

    .parts-container-inner {
        display: flex;
        justify-content: center;
        flex-direction: column
    }

    .parts-select {
        width: 100%;
        margin-bottom: 10px
    }
}

@media (max-width:653px) {
    .cabinet-body .card-body {
        padding: 16px !important
    }

    .fs-p-1 {
        font-size: 14px
    }

    .lh-p-1 {
        line-height: 20px
    }

    .fs-p-2 {
        font-size: 16px
    }

    .lh-p-2 {
        line-height: 20px
    }

    .fs-p-3 {
        font-size: 18px
    }

    .lh-p-3 {
        line-height: 24px
    }

    .fs-h1 {
        font-size: 32px
    }

    .lh-h1 {
        line-height: 40px
    }

    .fs-h2 {
        font-size: 20px
    }

    .lh-h2 {
        line-height: 28px
    }

    .fs-h4 {
        font-size: 12px
    }

    .lh-h4 {
        line-height: 16px
    }

    .parts-container {
        align-items: center
    }

    .parts-select {
        margin-bottom: 10px
    }

    .footer-info {
        justify-content: start !important
    }

        .footer-info:last-child {
            margin-left: 0 !important;
            margin-top: 16px
        }
}

@media (max-width:576px) {
    .cabinet-body header .img-fluid {
        height: 62px
    }
}

@media (max-width:470px) {
    .cabinet-body .header-button {
        height: 36px;
        width: 36px
    }

        .cabinet-body .header-button img {
            height: 22px;
            width: 22px
        }

    .cabinet-body .header-button-text {
        display: none !important
    }

    .cabinet-body .header-button {
        margin-left: 12px !important
    }
}

.wo-card {
    display: flex;
    flex-direction: column;
    min-width: 0;
    word-wrap: break-word;
    background-clip: border-box;
    min-height: 140px;
    border-radius: 0.6rem;
}

.wo-card > .wo-card-body {
    display: flex;
    flex-grow: 1;
    flex-direction: column;
}

.grid {
    display: grid;
    grid-template-rows: repeat(var(--rows, 1), 1fr);
    gap: var(--grid-gap, 1rem);
    grid-template-columns: 1fr;
    overflow: hidden;
}

@media (min-width: 992px) {
    .grid {
        grid-template-columns: repeat(var(--grid-columns, 1), 1fr);
    }
}

.grid > .justify-self-start {
    justify-self: start;
}

.grid > .justify-self-center {
    justify-self: center;
}

.grid > .justify-self-end {
    justify-self: end;
}

.grid.auto-column-width {
    grid-template-columns: auto;
}

@media (min-width: 992px) {
    .grid.auto-column-width {
        grid-template-columns: repeat(var(--grid-columns, 1), auto);
    }
}

.grid.fit-content {
    width: -moz-fit-content;
    width: fit-content; /* OR max-content OR min-content */
}

.grid.vertical-border > div {
    box-sizing: border-box;
    position: relative;
}

    .grid.vertical-border > div::before {
        content: "";
        position: absolute;
        top: calc(var(--grid-gap, 1rem) / -2 - 1px); /* Half the gap */
        right: 0px;
        width: 100vw; /* Big height*/
        height: 1px;
        background: var(--grid-border-color);
    }

@media (min-width: 992px) {
    .grid.vertical-border > div::before {
        content: "";
        position: absolute;
        top: 0;
        right: calc(var(--grid-gap, 1rem) / -2 - 1px); /* Half the gap */
        height: 100vh; /* Big height*/
        width: 1px;
        background: var(--grid-border-color);
    }
}

.grid.horizontal-border > div {
    box-sizing: border-box;
    position: relative;
}

    .grid.horizontal-border > div::before {
        content: "";
        position: absolute;
        bottom: calc(var(--grid-gap, 1rem) / -2 - 1px); /* Half the gap */
        right: calc(var(--grid-gap, 1rem) / -2);
        width: 100vw; /* Big height*/
        height: 1px;
        background: var(--grid-border-color);
    }

.grid.borders > div {
    box-sizing: border-box;
    position: relative;
}

    .grid.borders > div::after {
        content: "";
        position: absolute;
        top: 0;
        left: calc(var(--grid-gap, 1rem) / -2 - 1px); /* Half the gap */
        height: 100vh; /* Big height*/
        width: 1px;
        background: var(--grid-border-color);
    }

    .grid.borders > div::before {
        content: "";
        position: absolute;
        bottom: calc(var(--grid-gap, 1rem) / -2 - 1px); /* Half the gap */
        right: calc(var(--grid-gap, 1rem) / -2);
        width: 100vw; /* Big height*/
        height: 1px;
        background: var(--grid-border-color);
    }